//
//  Utils.swift
//  SodaLive
//
//  Created by klaus on 3/7/25.
//

import Foundation

func createOneLinkUrlWithURLComponents(params: [String: String]) -> String? {
    var components = URLComponents(string: "https://voiceon.onelink.me/RkTm")
    components?.queryItems = params.map { key, value in
        URLQueryItem(name: key, value: value)
    }
    
    return components?.url?.absoluteString
}
